Bug 307331 - s-c-d crash
s-c-d crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 12:30 EDT by Jakub Hrozek
Modified: 2009-01-09 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:16:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my xorg.conf (995 bytes, text/plain)
2007-09-26 12:30 EDT, Jakub Hrozek
no flags Details
xorg log (48.51 KB, text/plain)
2007-09-27 15:14 EDT, Jakub Hrozek
no flags Details

  None (edit)
Description Jakub Hrozek 2007-09-26 12:30:08 EDT
Description of problem:
When started, s-c-d crashes with the following traceback:

# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 381, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, 
rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 646, in 
__init__
    
self.xml.get_widget("secondMonitorLabel").set_text(monitor_list[1].modelname)
TypeError: GtkLabel.set_text() argument 1 must be string, not None


Version-Release number of selected component (if applicable):
system-config-display-1.0.51-1.fc7

How reproducible:
always

Steps to Reproduce:
1. start s-c-d
2.
3.
  
Actual results:
crash

Expected results:
no crash

Additional info:
I've got my xorg.conf a little modded..but anyway, s-c-d should not crash..
Comment 1 Jakub Hrozek 2007-09-26 12:30:08 EDT
Created attachment 207271 [details]
my xorg.conf
Comment 2 Matěj Cepl 2007-09-27 11:21:34 EDT
Can we get /var/log/Xorg.0.log as well, please?
Comment 3 Jakub Hrozek 2007-09-27 15:14:14 EDT
Created attachment 208931 [details]
xorg log
Comment 4 Bug Zapper 2008-05-14 10:31:28 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jakub Hrozek 2008-05-21 11:53:16 EDT
Still the same crash after upgrading to F-8
Comment 6 Bug Zapper 2008-11-26 02:51:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:16:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.